# Return all templates

> **GET** `https://api.us.nylas.com/v3/templates`

Source: https://developer.nylas.com/docs/reference/api/application-level-templates/list-app-level-templates/

Returns a list of application-level templates.

**Authentication:** NYLAS_API_KEY

## Parameters

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | integer | No | The maximum number of objects to return. See [Pagination](/docs/reference/api/#pagination) for more information. |
| `page_token` | string | No | An identifier that specifies which page of data to return. You can get this value from the `next_cursor` response field. See [Pagination](/docs/reference/api/#pagination) for more information. |

## Responses

### 200 - Success. Returns list of templates.

- `request_id` (string) **(required)** - The ID of the request.
- `data` (array) **(required)**
  - `app_id` (string,null) - The ID of the Nylas application associated with the template. Returned only if the template is
configured at the application level.
  - `body` (string) **(required)** - The body content of the template, in HTML format.
  - `created_at` (integer) **(required)** - When the template was created, in seconds using the Unix timestamp format.
  - `engine` (string) **(required)** - The templating engine.
  - `grant_id` (string,null) - The ID of the grant associated with the template. Returned only if the template is configured
at the grant level.
  - `id` (string) **(required)** - The template ID.
  - `name` (string) **(required)** - The name of the template.
  - `object` (string) **(required)** - The object type identifier.
  - `subject` (string) **(required)** - The subject line of the template.
  - `updated_at` (integer) **(required)** - When the template was last updated, in seconds using the Unix timestamp format.
- `next_cursor` (string) **(required)** - A cursor pointing to the next page of results for the request.

### 400 - Error: Bad request



## Code samples

### cURL

```bash
curl --request GET \
  --url "https://api.us.nylas.com/v3/templates" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```
